Index: trunk/server/common/oursrc/execsys/Makefile.in
===================================================================
--- trunk/server/common/oursrc/execsys/Makefile.in	(revision 1336)
+++ trunk/server/common/oursrc/execsys/Makefile.in	(revision 1337)
@@ -10,8 +10,8 @@
 trusteddir = /usr/libexec/scripts-trusted
 
-all-local: static-cat execsys-binfmt
+all-local: static-cat
 
-static-cat.c execsys-binfmt: static-cat.c.pre execsys-binfmt.pre
-	@UPD_VARS@ syscat_path=$(SYSCATPATH)/static-cat perl upd-execsys
+static-cat.c: static-cat.c.pre execsys-binfmt.pre
+	syscat_path=$(SYSCATPATH)/static-cat perl upd-execsys
 
 install: all-local
Index: trunk/server/common/oursrc/execsys/configure.in
===================================================================
--- trunk/server/common/oursrc/execsys/configure.in	(revision 1336)
+++ trunk/server/common/oursrc/execsys/configure.in	(revision 1337)
@@ -3,28 +3,3 @@
 AC_PROG_CC
 
-AC_ARG_WITH(afsagent,
-[  --with-afsagent[=UID]        afsagent will have user id UID],[
-  if test "$withval" != "no" -a "$withval" != "yes"; then
-    CFLAGS="-DAFSAGENT_UID=$withval $CCFLAGS"
-  fi
-])
-
-AC_DEFUN(SUPPORT,[AC_ARG_WITH($1,
-[  --with-$1[=PATH]$2       associate .$1 with PATH],[
-  if test "$withval" != "no" -a "$withval" != "yes"; then
-    UPD_VARS="$1_path=$withval $UPD_VARS"
-  fi
-])])
-
-# the second argument should contain no spaces ("[]") if the corresponding
-# extension is three characters long (eg, "php"), and it should contain
-# one space ("[ ]") if the corresponding extension is two characters long
-# (eg, "pl")
-
-SUPPORT([pl], [ ])
-SUPPORT([php], [])
-SUPPORT([py], [ ])
-SUPPORT([exe], [])
-
-AC_SUBST(UPD_VARS)
 AC_OUTPUT(Makefile)
Index: trunk/server/common/oursrc/execsys/execsys-binfmt
===================================================================
--- trunk/server/common/oursrc/execsys/execsys-binfmt	(revision 1337)
+++ trunk/server/common/oursrc/execsys/execsys-binfmt	(revision 1337)
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# execsys-binfmt: test1
+#
+# chkconfig: 2345 2 98
+# description: test2
+#
+### BEGIN INIT INFO
+# Provides:          execsys-binfmt
+# Required-Start:    $syslog
+# Required-Stop:     $syslog
+# Should-Start:      $local_fs
+# Should-Stop:       $local_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start scripts.mit.edu execsys system
+# Description:       Decides what interpreter to use to execute files
+### END INIT INFO
+
+stop ()
+{
+    echo "-1" > /proc/sys/fs/binfmt_misc/status
+    umount /proc/sys/fs/binfmt_misc
+}
+
+start ()
+{
+    mount -t binfmt_misc none /proc/sys/fs/binfmt_misc
+    cat > /proc/sys/fs/binfmt_misc/register <<REGISTER
+:pl:E::pl::/usr/bin/perl:
+:php:E::php::/usr/bin/php-cgi:
+:py:E::py::/usr/bin/python:
+:exe:E::exe::/usr/bin/mono:
+REGISTER
+}
+
+case "$1" in
+start)
+    stop 2>/dev/null || :
+    start
+    ;;
+stop)
+    stop
+    ;;
+force-reload)
+    stop
+    start
+    ;;
+restart)
+    stop
+    start
+    ;;
+*)
+    echo "Usage: $0 [start|stop|restart|force-reload]" >&2
+    exit 2
+    ;;
+esac
+
+exit $?
Index: trunk/server/common/oursrc/execsys/execsys-binfmt.pre
===================================================================
--- trunk/server/common/oursrc/execsys/execsys-binfmt.pre	(revision 1336)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/sh
-#
-# execsys-binfmt: test1
-#
-# chkconfig: 2345 2 98
-# description: test2
-#
-### BEGIN INIT INFO
-# Provides:          execsys-binfmt
-# Required-Start:    $syslog
-# Required-Stop:     $syslog
-# Should-Start:      $local_fs
-# Should-Stop:       $local_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Start scripts.mit.edu execsys system
-# Description:       Decides what interpreter to use to execute files
-### END INIT INFO
-
-stop ()
-{
-    echo "-1" > /proc/sys/fs/binfmt_misc/status
-    umount /proc/sys/fs/binfmt_misc
-}
-
-start ()
-{
-    mount -t binfmt_misc none /proc/sys/fs/binfmt_misc
-# START-AUTOGENERATED: DO NOT EDIT THIS SECTION, INCLUDING THIS LINE!
-# This section is populated by the script upd-execsys
-# END-AUTOGENERATED: DO NOT EDIT THIS SECTION, INCLUDING THIS LINE!
-}
-
-case "$1" in
-start)
-    stop 2>/dev/null || :
-    start
-    ;;
-stop)
-    stop
-    ;;
-force-reload)
-    stop
-    start
-    ;;
-restart)
-    stop
-    start
-    ;;
-*)
-    echo "Usage: $0 [start|stop|restart|force-reload]" >&2
-    exit 2
-    ;;
-esac
-
-exit $?
Index: trunk/server/common/oursrc/execsys/mrproper
===================================================================
--- trunk/server/common/oursrc/execsys/mrproper	(revision 1336)
+++ trunk/server/common/oursrc/execsys/mrproper	(revision 1337)
@@ -3,4 +3,4 @@
 rm -f static-cat
 rm -f configure config.* Makefile
-rm -f execsys-binfmt static-cat.c execsys.conf
+rm -f static-cat.c execsys.conf
 rm -rf auto*.cache
Index: trunk/server/common/oursrc/execsys/upd-execsys
===================================================================
--- trunk/server/common/oursrc/execsys/upd-execsys	(revision 1336)
+++ trunk/server/common/oursrc/execsys/upd-execsys	(revision 1337)
@@ -85,27 +85,4 @@
 my $regexp = '(.*[\/\#]+\sSTART-AUTOGENERATED:[^!]*!).*\s([\/\#]+\sEND-AUTOGENERATED.*)';
 
-# Read existing binfmt file
-
-open(BINFMT, "./execsys-binfmt.pre");
-my $file = <BINFMT>;
-my ($fstart, $fend) = ($file =~ /$regexp/s);
-close(BINFMT);
-
-# Write new binfmt file
-
-open(BINFMT, ">./execsys-binfmt");
-print BINFMT $fstart, "\n";
-
-foreach my $ext (@dynamic) {
-  my $path = $ENV{"${ext}_path"};
-  print BINFMT "echo \":${ext}:E::${ext}::${path}:\" > /proc/sys/fs/binfmt_misc/register\n" if($path);
-}
-
-#foreach my $ext (@static) {
-#	print BINFMT "echo \":${ext}:E::${ext}::$ENV{syscat_path}:\" > /proc/sys/fs/binfmt_misc/register\n";
-#}
-print BINFMT $fend;
-close(BINFMT);
-
 open(CONF, ">./execsys.conf");
 
